QGIS Application - Feature request #6988
Print Composer - Centered map
2013-01-13 04:37 PM - Miroslav Umlauf

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16093
Description

Unfortunately when | create map frame in Print Composer, the layer is centered on width (good) but not centered on height (I guess it is
aligned to bottom).

If | use button Set to map canvas extent in Print Composer / Item Properties / Extents it is again centered on width but not centered on
height - this time looks aligned to top.

| think in both cases it would be much better to have it centered.

Associated revisions

Revision 5aac8bbf - 2013-10-28 08:15 AM - Nyall Dawson

Ensure map is centered when updating map extent (fix #6988)

History

#1 - 2013-10-28 12:15 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"5aac8bbfe060502944b4b4cc3bfb008600583€98".

#2 - 2014-12-09 09:48 PM - Balaji S R

Hi

"Not able to center map in map canvas" through coding - Reference (Feature request #6988 - facing same problem )

| am using windows 7 and QGIS 2.6.1 Brighton (APl 2.6) version

Can anybody update on this

Regards,

Balaji

#3 - 2014-12-09 09:56 PM - Mohanakarthick Balan

Got some answer saying that it has been fixed in latest api version. But i am also facing the same issue. | tried using API 2.2 and API 2.6 but not working.
Can any one give us code snippet used to come over this issue.

Regards,
Mohanakarthick

2025-05-17 22



